#include <bits/stdc++.h>

using namespace std;

using ll = long long;
using ld = long double;

#define int long long

int calc(int a, int b, int c) {
    int s = a * b * c;
    int val1 = 0;
    int val2 = 0;
    if (a >= 2) {
        if (a % 2)
            val1 = calc(a / 2, b, c) + calc(a / 2 + 1, b, c);
        else
            val1 = calc(a / 2, b, c * 2);
    }
    if (b >= 2) {
        if (b % 2)
            val2 = calc(a, b / 2, c) + calc(a, b / 2 + 1, c);
        else
            val2 = calc(a, b / 2, c * 2);
    }
    return s + max(val1, val2);
}

void solve() {
    int a, b;
    cin >> a >> b;
    cout << calc(a, b, 1) << endl;
}

signed main()
{
    int t = 1;
    //cin >> t;
    //freopen("input.in", "r", stdin);
    while (t--) {
        solve();
    }
    return 0;
}

